> ## Documentation Index
> Fetch the complete documentation index at: https://docs.li.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# API 参数

> Composer 如何使用标准 LI.FI API 参数。

当 `toToken` 设置为[支持的协议](/composer/reference/supported-protocols)代币地址时，Composer 自动激活。无需额外参数。

***

## `toToken` 如何触发 Composer

当 `toToken` 对应支持的金库/质押/存款代币时，LI.FI 的路由引擎自动：

1. 将此识别为 Composer 路由
2. 找到获取基础资产的最优路径（兑换、跨链或两者兼有）
3. 编译 Composer 指令（eDSL → 字节码）
4. 模拟完整执行路径
5. 返回准备签署的 `transactionRequest`

### Composer 作为工具

Composer 在 LI.FI API 中被分类为**工具**，类似于跨链桥和 DEX 聚合器。Composer 路由与跨链桥和兑换路由一起出现在 API 响应中。与任何 LI.FI 工具一样，集成商可以使用 `allowTools` / `denyTools` 来包含或排除 Composer 从他们的路由偏好中。

***

## 完整参数参考

完整的端点文档、参数列表和身份验证详情，请参见：

<CardGroup cols={2}>
  <Card title="GET /quote" icon="bolt" href="/api-reference/get-a-quote-for-a-token-transfer">
    包含所有参数的单步报价端点
  </Card>

  <Card title="POST /advanced/routes" icon="route" href="/api-reference/advanced/get-a-set-of-routes-for-a-request-that-describes-a-transfer-of-tokens">
    包含所有参数的多路由端点
  </Card>

  <Card title="Quote vs Route" icon="arrows-split-up-and-left" href="/introduction/user-flows-and-examples/difference-between-quote-and-route">
    何时使用每个端点
  </Card>

  <Card title="API 概览" icon="key" href="/api-reference/introduction">
    基础 URL、身份验证和速率限制
  </Card>
</CardGroup>

***

## 相关页面

<CardGroup cols={2}>
  <Card title="API 集成指南" icon="code" href="/composer/guides/api-integration">
    分步 Composer 集成演练
  </Card>

  <Card title="错误处理" icon="triangle-exclamation" href="/composer/reference/error-handling">
    处理 Composer 特定错误
  </Card>

  <Card title="支持的协议" icon="list" href="/composer/reference/supported-protocols">
    支持的金库/质押代币完整列表
  </Card>

  <Card title="状态跟踪" icon="clock" href="/introduction/user-flows-and-examples/status-tracking">
    执行后跟踪交易状态
  </Card>
</CardGroup>
